package beilv.site.domain;

import java.math.BigDecimal;
import java.util.List;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import beilv.common.annotation.Excel;
import beilv.common.core.domain.BaseEntity;

/**
 * 球场管理对象 beilv_site
 * 
 * @author lc
 * @date 2025-01-06
 */
@Data
public class BeilvSite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 分类id */
    @Excel(name = "分类id")
    private String siteType;

    /** 封面 */
    @Excel(name = "封面")
    private String cover;
    private List<String> coverList;

    /** 简介 */
    @Excel(name = "简介")
    private String intro;

    /** 价格 */
    @Excel(name = "价格")
    private BigDecimal price;

    /** 温馨提示 */
    @Excel(name = "温馨提示")
    private String warmReminder;

    /** 状态 */
    @Excel(name = "状态")
    private String siteStatus;

    /** 场馆id */
    @Excel(name = "场馆id")
    private Long venueId;

    /** 监控点 */
    @Excel(name = "监控点")
    private String cameraIndexCode;

    private String venueName;

    private String userId;

    private String businessHours;
    private String address;
    private String phoneNumber;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setSiteType(String siteType) 
    {
        this.siteType = siteType;
    }

    public String getSiteType() 
    {
        return siteType;
    }

    public void setCover(String cover) 
    {
        this.cover = cover;
    }

    public String getCover() 
    {
        return cover;
    }

    public void setIntro(String intro) 
    {
        this.intro = intro;
    }

    public String getIntro() 
    {
        return intro;
    }

    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }

    public void setWarmReminder(String warmReminder) 
    {
        this.warmReminder = warmReminder;
    }

    public String getWarmReminder() 
    {
        return warmReminder;
    }

    public void setSiteStatus(String siteStatus) 
    {
        this.siteStatus = siteStatus;
    }

    public String getSiteStatus() 
    {
        return siteStatus;
    }

    public void setVenueId(Long venueId) 
    {
        this.venueId = venueId;
    }

    public Long getVenueId() 
    {
        return venueId;
    }


    public String getCameraIndexCode() {
        return cameraIndexCode;
    }

    public void setCameraIndexCode(String cameraIndexCode) {
        this.cameraIndexCode = cameraIndexCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("siteType", getSiteType())
            .append("cover", getCover())
            .append("intro", getIntro())
            .append("price", getPrice())
            .append("warmReminder", getWarmReminder())
            .append("siteStatus", getSiteStatus())
            .append("venueId", getVenueId())
            .append("cameraIndexCode", getCameraIndexCode())
            .toString();
    }
}
